Name: libdm
Version: 2.0.2
Release: alt1
Source0: dmapi-%version.src.tar.bz2
Patch0: dmapi-2.0.2-builddefs.patch
License: GPL

Url: http://oss.sgi.com/projects/xfs/
# Automatically added by buildreq on Fri Dec 27 2002
BuildRequires: XFree86-devel libxfs-devel man

Summary: Data Management API runtime environment
Group: System/Libraries
Requires: libxfs

%description
This package contains the library needed to run programs dynamically
linked with libdm.

%package devel
Summary: Data Management API static libraries and headers
Group: Development/C
Requires: %name = %version-%release

%description devel
dmapi-devel contains the libraries and header files needed to
develop programs which make use of the Data Management API
(DMAPI).  If you install dmapi-devel, you'll also want to install
the dmapi (runtime) package and the libxfs-devel package.

%package devel-static
Summary: Data Management API static libraries and headers
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
dmapi-devel contains the libraries and header files needed to
develop programs which make use of the Data Management API
(DMAPI).  If you install dmapi-devel, you'll also want to install
the dmapi (runtime) package and the libxfs-devel package.

%prep
%setup -q -n dmapi-%version
%patch0 -p1

%build
export DEBUG="-DNDEBUG"
autoconf
%configure
%make_build

%install
make install DIST_ROOT=%buildroot/
make install-dev DIST_ROOT=%buildroot/

# Remove unneeded symlinks
rm -f $RPM_BUILD_ROOT/lib/*.*a

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc README
%attr(0755,root,root) /lib/*.so.*

%files devel
%doc doc/PORTING doc/CHANGES.gz
/lib/*so
%_libdir/*so
%_includedir/*/*
%_mandir/man3/*
%_libdir/*.la

%files devel-static
%_libdir/*.a

%changelog
* Fri Dec 27 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.0.2-alt1
- 2.0.2
- Updated buildrequires

* Wed Apr 10 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.0.1-alt0.1cvs
- 2.0.1

* Wed Nov 21 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.2.2-alt3
- Rebuilt with libxfs 1.3.13

* Wed Oct 31 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.2.2-alt2
- Rebuilt with libxfs 1.3.7

* Thu Sep 20 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.2.2-alt1
- First build for Sisyphus

* Fri Sep  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2.2-1mdk
- Split lib in subpackage.
- Rework the spec.
- 0.2.2.

* Wed May  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1.1-1mdk
- First attempt.

# end of file
